#include "Button.h"
#include "GPIO.h"
#include "RCC.h"

void InitializeUserButton() {
  EnableAHB1PeripheralClock(RCC_AHB1ENR_GPIOAEN);
  SetGPIOInputMode(GPIOA, (1 << 0));
  SetGPIONoPullResistor(GPIOA, (1 << 0));
}

void EnableUserButtonInterrupt() {
  EnableAPB2PeripheralClock(RCC_APB2ENR_SYSCFGEN);
}

